# locale.c File Reference

## Functions

MLocale * | mlocale_set (int category, const char *name)
| Set the current locale.
MSymbol | mlocale_get_prop (MLocale *locale, MSymbol key)
| Get the value of a locale property.
int | mtext_ftime (MText *mt, const char *format, const struct tm *tm, MLocale *locale)
| Format date and time.
MText * | mtext_getenv (const char *name)
| Get an environment variable.
int | mtext_putenv (MText *mt)
| Change or add an environment variable.
int | mtext_coll (MText *mt1, MText *mt2)
| Compare two M-texts using the current locale.

## Variables

MSymbol | Mterritory
MSymbol | Mmodifier
MSymbol | Mcodeset

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines